///// [ LICENSE ] //////////////////////////////////////////////////////////////
//
// (c) 2009 Dynamite Data / Tom Corelis
// 
// Unless explicitly stated otherwise, the programming code in this file is
// licensed to you pursuant the terms described in codelicense.txt.
//
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Respect the global namespace!
//
// Normal code is embedded in our module object.
////////////////////////////////////////////////////////////////////////////////
//Components.utils.import("resource://ddfirefox/modules/namespace-fix.jsm");
if(!com) var com = new Object();
if(!com.dynamitedata) com.dynamitedata = {};
if(!com.dynamitedata.ddfGlobals) com.dynamitedata.ddfGlobals = {};

Components.utils.import("resource://ddfirefox/modules/globals.jsm", com.dynamitedata.ddfGlobals);

com.dynamitedata.ddfEula  = function() {
	
	var eulaEvents = {
		
		onClickAgree: function() {
			com.dynamitedata.ddfGlobals.ddSetIntPref("acceptedEULAversion", com.dynamitedata.ddfGlobals.EULA_VERSION_LATEST);
			com.dynamitedata.ddfGlobals.stateManager.deleteState("acceptEULA");
			window.close();
		},
		
		onClickDisagree: function() {
			// uninstall this plugin and restart firefox
			Components.classes["@mozilla.org/extensions/manager;1"].getService(Components.interfaces.nsIExtensionManager).uninstallItem(com.dynamitedata.ddfGlobals.DDFIREFOX_EXT_ID);
			var brow = Components.interfaces.nsIAppStartup;
			Components.classes["@mozilla.org/toolkit/app-startup;1"].getService(brow).quit(brow.eRestart | brow.eForceQuit);
		},
		
		onOptChange: function() {
			
			var grpAccepted = document.getElementById("grpAccepted");
			var btnAccept = document.getElementById("btnProceed");
			
			if (grpAccepted.selectedItem.id == "optAccept") {
				
				btnAccept.disabled = false;
				
			} else {
				
				btnAccept.disabled = true;
				
			}
			
		},
		
		onStartup: function() {
			document.getElementById("btnProceed").disabled = true;
			document.getElementById("grpAccepted").selectedIndex = 1;
			
			com.dynamitedata.ddfGlobals.stateManager.addEditState("acceptEULA", -1, "You must accept the Dynamite Data EULA before using this add-on.", null, 999999999);
			
			// event listeners
			document.getElementById("grpAccepted")
				.addEventListener("command", eulaEvents.onOptChange, false);
			document.getElementById("btnProceed")
				.addEventListener("command", eulaEvents.onClickAgree, false);
			document.getElementById("btnDecline")
				.addEventListener("command", eulaEvents.onClickDisagree, false);
			
		}
	}
	
	window.addEventListener("load", eulaEvents.onStartup, false);

}

com.dynamitedata.ddfEula();