///// [ LICENSE ] //////////////////////////////////////////////////////////////
//
// (c) 2009 Dynamite Data / Tom Corelis
// 
// Unless explicitly stated otherwise, the programming code in this file is
// licensed to you pursuant the terms described in codelicense.txt.
//
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// default settings
////////////////////////////////////////////////////////////////////////////////


// the contents of MachineListURL will replace the domains in
// MerchantListURL and ProductSubmitURL probably
//pref("ddfirefox.machineListURL", "http://www.dynamitedata.com/MACHINELIST");

pref("ddfirefox.timeoutRequest", 60);              // timeout for dd server requests

pref("ddfirefox.allowBackgroundScanning", true);   // enable/disable SETI-style price scan

pref("ddfirefox.merchantListInterval", 3600);
pref("ddfirefox.merchantListIsMD5ed", false);
pref("ddfirefox.merchantListURL", "needs to be set");
pref("ddfirefox.productInfoURL", "needs to be set");
pref("ddfirefox.bgListURL", "needs to be set");
pref("ddfirefox.bgSubmissionURL", "needs to be set");
pref("ddfirefox.bgInterval", 600000); //ten minutes
pref("ddfirefox.acceptedEULAversion", -1);

pref("ddfirefox.trueMultithreading", false);

pref("ddfirefox.overrideCountry", "auto");

pref("ddfirefox.stateManagerStateDefaultTimeout", 60000);

// format: http://detonator.dynamitedata.com/cgi-bin/search.pl?user=u00000600&expand=3&format=xml&q=[URI escaped URL];
// note username is currently embedded
//pref("ddfirefox.productSubmissionURL", "http://detonator.dynamitedata.com/cgi-bin/search.pl?user=u00000600&expand=3&format=xml&q=");
