///// [ LICENSE ] //////////////////////////////////////////////////////////////
//
// (c) 2009 Dynamite Data / Tom Corelis
// 
// Unless explicitly stated otherwise, the programming code in this file is
// licensed to you pursuant the terms described in codelicense.txt.
//
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Respect the global namespace!
//
// Normal code is embedded in our module object.
////////////////////////////////////////////////////////////////////////////////
//Components.utils.import("resource://ddfirefox/modules/namespace-fix.jsm");
if(!com) var com = new Object();
if(!com.dynamitedata) com.dynamitedata = {};
if(!com.dynamitedata.ddfGlobals) com.dynamitedata.ddfGlobals = {};

Components.utils.import("resource://ddfirefox/modules/globals.jsm", com.dynamitedata.ddfGlobals);



com.dynamitedata.ddfOverlay = function() {

    // initialize com.dynamitedata.ddfGlobals.stateManager
    //var com.dynamitedata.ddfGlobals.stateManager = new sm();
    // com.dynamitedata.ddfGlobals.stateTable init is down with statemanager code
    //    will need to be moved to com.dynamitedata.ddfGlobals.globals.jsm
    // interval IDs
    var stateManagerIntervalID;
    
    // merchant list stuff
    var merchantList = new Array();
    var merchantListRids = new Array();
    
    var errorbuf;
    var statesPresent;
    
    
    // status bar static
    var status = statusbar;
    var statusbarTooltipBase = "Dynamite Deals";
    
	//var toolBar = document.getElementById("BrowserToolbarPalette");
	//if (toolBar) {
	//  if (!document.getElementById("ddStatusBar")) {
	//	//var addonBarCloseButton = document.getElementById("addonbar-closebutton")
	//	toolBar.appendChild("ddStatusBar", toolBar.nextSibling);
	//	//addonBar.collapsed = false;
	//  }
	//}
    
    var ddFrmDetailsHandle;
    var sbHandle = document.getElementById("ddStatusBar");
    //sb = new sb(sbHandle);
    var allDeals = new Array(); //an array of productURLs for final implementation
    var tmpCurDeal = new com.dynamitedata.ddfGlobals.ProductURL(); // a temporary for the CURRENT deal to be displayed
    // temp = document.getElementById("ddStatusBar"); //TEMPORARY!!!!!
    ////////////////////////////////////////////////////////////////////////////////
    // event listeners
    ////////////////////////////////////////////////////////////////////////////////
    ddEvents = {
        onStartup: function() {
			
			var myId    = "ddStatusBar"; // ID of button to add
			var afterId = "urlbar-container";    // ID of element to insert after
			var navBar  = document.getElementById("nav-bar");
			if (navBar) {

			  if (!document.getElementById(myId)) {
				navBar.insertItem(myId, null, null, false);

				navBar.setAttribute("currentset", navBar.currentSet);
				document.persist(navBar.id, "currentset");
				try {
				  BrowserToolboxCustomizeDone(true);
				} catch (e) {}
			  }
    		}
        	
        	if (!document.getElementById("ddStatusBar")) {
        		return;
        	}
            var result;
            this.initialized = true;
    
            // create other event listeners, but only if we're in firefox (not thunderbird, etc
            var appcontent = document.getElementById("appcontent");
            com.dynamitedata.ddfGlobals.dprint("XUL parent: " + appcontent);
    
            if ((appcontent) && (gBrowser)) {
    
                com.dynamitedata.ddfGlobals.dprint("^^^^ client OK!");
                
                com.dynamitedata.ddfGlobals.dprint("onStartup: Init event handlers...");
                // set event handler for webpage load
                appcontent.addEventListener("DOMTitleChanged", ddEvents.onPageLoad, false); //DOMTitleChanged?? For reals? Well, whatever works....
                
                // UI event listeners            
                document.getElementById("ddStatusBar").addEventListener("command", ddEvents.onCommandStatusBar, false);
                //window.addEventListener("close", ddEvents.onWindowUnload, true);
                
                
                // update our merchant lists and stuff
                com.dynamitedata.ddfGlobals.dprint("onStartup: Init merchant lists...");
                
				try {
					// Firefox 4 and later; Mozilla 2 and later
					Components.utils.import("resource://gre/modules/AddonManager.jsm");
					AddonManager.getAddonByID(com.dynamitedata.ddfGlobals.DDFIREFOX_EXT_ID, function(addon) {
						com.dynamitedata.ddfGlobals.globals.version = addon.version;
				  });
				}
				catch (ex) {
					// Firefox 3.6 and before; Mozilla 1.9.2 and before
					var em = Components.classes["@mozilla.org/extensions/manager;1"]
							 .getService(Components.interfaces.nsIExtensionManager);
					com.dynamitedata.ddfGlobals.globals.version = em.getItemForID(com.dynamitedata.ddfGlobals.DDFIREFOX_EXT_ID).version;
				}
                
                // if download failed, pull from cache
                //if (failed) {
                try {
                    
                    com.dynamitedata.ddfGlobals.dprint("onStartup: Attempting to get merchant list from cache...");
                    var merchantXMLreq = (new DOMParser()).parseFromString(com.dynamitedata.ddfGlobals.ddGetStringPref(com.dynamitedata.ddfGlobals.globals.cachePrefKey), "text/xml");
                    parseMerchantListXML(merchantXMLreq);
                    //failed = false;
                    
                } catch(ex) {
                    
                    com.dynamitedata.ddfGlobals.dprint("onStartup: merchant cache lookup failed, error " + ex.toString());
					com.dynamitedata.ddfGlobals.dprint("onStartup: merchant cache lookup failed, error " + ex.toString());
					com.dynamitedata.ddfGlobals.dprint("Pulling from original reseller.xml");
					try {
						var req = new XMLHttpRequest();
						req.open("GET","chrome://ddfirefox/content/reseller.xml",false);
						req.send(null);

						parseMerchantListXML(req.responseXML);
					} catch(ex) {
						com.dynamitedata.ddfGlobals.dprint("onStartup: merchant reseller.xml parse failed, error " + ex.toString());
					}
                    
                }
                //}
                
                if (com.dynamitedata.ddfGlobals.globals.startupWasRun == false) window.setTimeout(updateListsAsync, 10);
                
                com.dynamitedata.ddfGlobals.dprint("onStartup: Init global startup...");
                window.setTimeout(com.dynamitedata.ddfGlobals.globalStartup, 10);
    
                // set the state manager to run
                com.dynamitedata.ddfGlobals.dprint("onStartup: Init state manager...");
                com.dynamitedata.ddfGlobals.dprint("Precheck (LOCAL): stateManagerIntervalID == " + stateManagerIntervalID);
                if (stateManagerIntervalID == undefined) {
                    //stateManagerIntervalID = window.setInterval(updateStatusbar, com.dynamitedata.ddfGlobals.STATE_MANAGER_SCAN_INTERVAL);
                    //com.dynamitedata.ddfGlobals.dprint("stateManager interval set. Timeout = " + com.dynamitedata.ddfGlobals.STATE_MANAGER_SCAN_INTERVAL + ", ID = " + stateManagerIntervalID);
                }
                updateStatusbar();
    
                ///// new page load code
                //window.addEventListener("load", registerNewPageListener, false);
                //window.addEventListener("unload", unregisterNewPageListener, false);
                //registerNewPageListener();
    
                // tab notifications
                var myContainer = gBrowser.tabContainer;
                myContainer.addEventListener("TabOpen", tabEvents.added, false);
                myContainer.addEventListener("TabMove", tabEvents.moved, false);
                myContainer.addEventListener("TabClose", tabEvents.deleted, false);
                myContainer.addEventListener("TabSelect", tabEvents.selected, false);
    
                // now, since the browser window opened up before our tab listeners
                // were set, we need to manually tag all currently open tabs
                
                //var curTab = tabManager.getCurrentTab();
                var num = gBrowser.browsers.length;
                
                for (var i = 0; i < num; i++) {
        
                    var b = gBrowser.getBrowserAtIndex(i);
                    tabManager.attachTag(b);
    
                }
    
                // check EULA agreement
                /*if ((com.dynamitedata.ddfGlobals.ddGetIntPref("acceptedEULAversion") < com.dynamitedata.ddfGlobals.EULA_VERSION_LATEST) ||
                    ((com.dynamitedata.ddfGlobals.ddGetIntPref("acceptedEULAversion") > com.dynamitedata.ddfGlobals.EULA_VERSION_LATEST) & (com.dynamitedata.ddfGlobals.EULA_VERSION_LATEST != -1))) {
                    function forceEULA() {
                        window.openDialog("chrome://ddfirefox/content/eula.xul", "frmEula", "chrome=yes,dialog,modal,centerscreen,resizable,alwaysRaised,close=no");    
                    }
                }*/ //eula needs to be displayed every time tb is updated, moved to updateMessageDisplay
    
                // init the global startup routine
                // setTimeout prevents it from blocking UI
    
                com.dynamitedata.ddfGlobals.dprint("onStartup: Done. **** WELCOME TO THE DYNAMITE DATA FIREFOX PLUGIN! ****");
    
                // check to see if we just installed an update and load message if we did
                window.setTimeout(updateMessageDisplay, 500); // do not block
                //updateMessageDisplay();
                
                // testing only!!
                // disable this or you'll annoy the crap out of your users
                // normally should only show when detect new installation
                //messageActions.windowShow();
                
                
                // check the URL of the startup page once its loaded, since the user may have clicked a link
                // or opened a URL link from the outside or something
                function initialLookup(curTab) {
                    ddEvents.onPageLoadMerchantLookup(curTab.currentURI.spec, curTab);
                }
                //window.setTimeout(initialLookup, 500, curTab)
    
            } else {
                com.dynamitedata.ddfGlobals.dprint("ddfirefox will only run under the main browser window in Firefox.", 0);
                com.dynamitedata.ddfGlobals.dprint("ddfirefox did not load.", 0);
            }
        },
    
        onShutdown: function() { //shutdown code
        },
    
        onWindowUnload: function(e) {
    
            var browsers = this.gBrowser.browsers;
    
            var i;
    
            for (i = 0; i < browsers.length; i++) {
                com.dynamitedata.ddfGlobals.stateManager.deleteState(tabManager.getIDFromTab(browsers[i]));
            }
    
            updateStatusbar();
        },
    
    
        /* lookup sequence:
         event handler --> onPageLoad()
         onPageLoad --> onPageLoadMerchantLookup()
         (if valid merchant) onPageLoadMerchantLookup() --> getDDProductInfo() */
        onPageLoad: function(e) {
            com.dynamitedata.ddfGlobals.dprint("onPageLoad(): fired", 2);
            // onPageLoad() fires multiple times per page
            // function will up error log... try{} will abort if so
            // "PLdoc.location is undefined"
            try {
                
                if (e.originalTarget instanceof HTMLDocument) {
    
                    var PLdoc = e.originalTarget;
                    var domain = PLdoc.location.hostname;
                    var url = PLdoc.location.href;
                    com.dynamitedata.ddfGlobals.dprint("onPageLoad(): ^^^^ " + PLdoc.location.href, 2);
                    
                    //get the ddfirefoxID of the tab that fired this event
                    var originatingTab = document.getElementById("content").getBrowserForDocument(PLdoc);
                    com.dynamitedata.ddfGlobals.dprint("onPageLoad(): originating ddfirefoxID is " + originatingTab.ddfirefoxID, 2);
    
    
                    // for debugging only
                    var eClone = new com.dynamitedata.ddfGlobals.CloneObject(e);
    
                    var breakHere; //set brealpoint here
                    
                }
    
                // in case we want to act on the fact that pageLoad fired on a frameset
                /*if (e.originalTarget.defaultView.frameElement) {
                    // Frame within a tab was loaded. doc should be the root document of
                    // the frameset. If you don't want do anything when frames/iframes
                    // are loaded in this web page, uncomment the following line:
                    // return;
                    // Find the root document:
                    while (PLdoc.defaultView.frameElement) {
    
                        doc = PLdoc.defaultView.frameElement.ownerDocument;
    
                    }
                }*/
    
            } catch(e) {
                
                com.dynamitedata.ddfGlobals.dprint("onPageLoad(): failed HTMLDoc check (THIS IS NORMAL):" + e, 3);
                return;
            
            }
    
            /*var ddfirefoxID = e.originalTarget.parentNode.ddfirefoxID;
            com.dynamitedata.ddfGlobals.dprint("^^^^ ddfirefoxID = " + ddfirefoxID); */
    
            // check to see if url is known
                // we need to delay it so that the merchant list updates properly
                // if we're running at startup
            window.setTimeout(ddEvents.onPageLoadMerchantLookup, 10, url, originatingTab);
            
            //update the statusbar for instant gratification    
            updateStatusbar();
    
        },
        
        onPageLoadMerchantLookup: function(url, originatingTab) {
            
            if(!originatingTab) {
            	return;
            }
            // clear the refresh timer if and when it is set
            if (originatingTab.ddfirefoxRefreshTimer) {
                window.clearTimeout(originatingTab.ddfirefoxRefreshTimer);
                com.dynamitedata.ddfGlobals.dprint("onPageLoadMerchantLookup(): Cleared refresh at ID " + originatingTab.ddfirefoxRefreshTimer);
                originatingTab.ddfirefoxRefreshTimer = undefined;
            }
            
            var docRoot = document.documentElement;
                
            if (merchantList.indexOf(com.dynamitedata.ddfUtil.returnDomainTLD(url)) > -1 && !docRoot.hasAttribute("privatebrowsingmode")) {
                
                com.dynamitedata.ddfGlobals.stateManager.deleteState(originatingTab.ddfirefoxID);
              
                com.dynamitedata.ddfGlobals.dprint("onPageLoad(): known merchant at " + com.dynamitedata.ddfUtil.returnDomainTLD(url));
                
                com.dynamitedata.ddfGlobals.stateManager.addEditState(originatingTab.ddfirefoxID, 6, "Searching...", url, 10000, "", false);
                
                updateStatusbar();
                
                window.setTimeout(getDDProductInfo, 1000, url, originatingTab);
            
            } else {
                
                com.dynamitedata.ddfGlobals.dprint("onPageLoad(): ignoring " + com.dynamitedata.ddfGlobals.hex_md5(com.dynamitedata.ddfUtil.returnDomainTLD(url)), false);
                com.dynamitedata.ddfGlobals.stateManager.deleteState(originatingTab.ddfirefoxID);
                
            }
            
        },
    
       onCommandStatusBar: function() {
        
            // get the currently opened tab then open the details window for it
            var curTabID = tabManager.getIDFromTab(tabManager.getCurrentTab());
            com.dynamitedata.ddfWelcome.messageActions.windowHideInstant();
        
            //if (com.dynamitedata.ddfGlobals.stateTable["acceptEULA"]) {
                
                //do nothing
                
            //} else 
            if ((com.dynamitedata.ddfGlobals.stateTable[curTabID]) &&
                       (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusNbr == 3) &&
                       (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusURL == window.getBrowser().currentURI.spec)) {
        
                try {
                    openDetailsWindowNew(com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData);
                } catch(e) {
                    com.dynamitedata.ddfGlobals.dprint(e.toString());
                }
            
            } else if ((com.dynamitedata.ddfGlobals.stateTable[curTabID]) &&
                       (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusNbr == 6)) {
            
                //com.dynamitedata.ddfWelcome.messageActions.windowShowInstant(com.dynamitedata.ddfGlobals.stateTable[curTabID].statusText);
            
            
            } else if ((com.dynamitedata.ddfGlobals.stateTable[curTabID]) &&
                       (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusNbr == 7)) {
        
                com.dynamitedata.ddfWelcome.messageActions.windowShowInstant(com.dynamitedata.ddfGlobals.stateTable[curTabID].statusText);
        
            } else {
        
                var messageToDisplay = "";
        
                if (!statesPresent[ - 1]) {
        			var docRoot = document.documentElement;
					
					if (docRoot.hasAttribute("privatebrowsingmode")) {
						messageToDisplay = "Dynamite Deals does not perform searches while Firefox is in Private Browsing Mode.";
					} else {
						messageToDisplay = com.dynamitedata.ddfGlobals.globals.textMessageNotOnMerchantPage;
					}
                }
        
                com.dynamitedata.ddfWelcome.messageActions.windowShowInstant(messageToDisplay, true);
        
                com.dynamitedata.ddfGlobals.dprint("onCommandStatusBar: Current tab (" + tabManager.getIDFromTab(tabManager.getCurrentTab()) + ") has no deal.... opening message window...", 0);
                //openDialog("chrome://ddfirefox/content/options.xul", "window", "chrome,resizable=yes,centerscreen,modal", 0, gBrowser.currentURI.spec);
            }

        }
    
    };
    
    ////////////////////////////////////////////////////////////////////////////////
    // stuff for grabbing DD related server data
    ////////////////////////////////////////////////////////////////////////////////
    function updateListsAsync() {
        
        result = updateLists();
    
        //if (result == true) {
        //    sb.setTextMessage("Loading updated merchant lists...");
        //} else {
        //    if (merchantList.length <= 0) {
        //        com.dynamitedata.ddfGlobals.stateManager.addEditState("err|no-ml" + com.dynamitedata.ddfGlobals.stateManager.generateRandomID(), -1, com.dynamitedata.ddfGlobals.globals.textErrorMerchantDownloadFail, null, 36000);
        //    }
        //    // load from cache
        //}
    }
    
    function updateLists() {
        var result;
        com.dynamitedata.ddfGlobals.getDDMachineList(com.dynamitedata.ddfGlobals.globals.failoverPos);
    
        try {
            if (!com.dynamitedata.ddfGlobals.ddGetBoolPref("merchantListIsMD5ed")) {
                result = getDDMerchantListText();
            } else {
                result = getDDMerchantListMD5();
            }
        } catch(ex) {
            com.dynamitedata.ddfGlobals.dprint("updateLists failed: " + ex);
            result = false;
        }
    
        return result;
    
    }
    
    // fetches the server we will be contacting
    // set failover to specify which server in the failover chain you wish to use
    // fetches the list of merchants in text format
    // also, this sets our known IP address
    function getDDMerchantListText() {
    
        var failed = false;
        var cachePrefKey = com.dynamitedata.ddfGlobals.globals.cachePrefKey;
        com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: Downloading merchant list from server...");
    
        // attempt to download merchant list from server
        try {
    
            var merchantListURL = com.dynamitedata.ddfGlobals.ddGetStringPref("merchantListURL");
            var req = com.dynamitedata.ddfGlobals.wgetXML(merchantListURL, true);
            req.onreadystatechange = function(aEvt) {
    
                if (req.readyState == 4) {
                    
                    com.dynamitedata.ddfGlobals.stateManager.deleteState(req.DDstate);
                    
                    // BLOCKED
                    if (req.status == 403) {
    
                        if (com.dynamitedata.ddfGlobals.globals.failoverPos < com.dynamitedata.ddfGlobals.failoverChain.length - 1) {
    
                            com.dynamitedata.ddfGlobals.globals.failoverPos++;
                            com.dynamitedata.ddfGlobals.getDDMachineList(com.dynamitedata.ddfGlobals.globals.failoverPos);
                            com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: Was this request blocked? Switching to failover #" + com.dynamitedata.ddfGlobals.globals.failoverPos);
                            window.setTimeout(getDDMerchantListText, 1000);
                            retry = true;
    
                        } else {
    
                            com.dynamitedata.ddfGlobals.stateManager.addEditState("err|403", -1, com.dynamitedata.ddfGlobals.globals.textErrorMerchantDownloadBlocked, null, 600);
                            com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: Looks like I'm blocked... aborting merchant download...");
    
                        }
    
                     // OK, we got our XML
                    } else if (req.status == 200) {
    
                        var merchantXMLreq = req.responseXML;
                        com.dynamitedata.ddfGlobals.dprint("MerchantListURL Response was " + req.status);
    
                        if ((!com.dynamitedata.ddfGlobals.isNumeric(merchantXMLreq)) & (merchantXMLreq.getElementsByTagName("root").length > 0)) { // did request work?
                            
                            com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: merchantListXML successfully downloaded.");
                            // save xml to cache
                            var ser = new XMLSerializer();
                            var merchantListToCache = (ser.serializeToString(merchantXMLreq));
                            com.dynamitedata.ddfGlobals.ddSetStringPref(cachePrefKey, merchantListToCache);
                            com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: Saved updated merchantListXML to cache.");
                            
                        } else {
                            
                            com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: merchantListXML could not be downloaded, error " + merchantXMLreq);
                            failed = true;
                        }
    
                        //parse merchantlsit and save to cache if we're OK and !failed
                        if (!failed) {
    
                            // get IP address
                            try {
    
                                var myIpAddressNodes = merchantXMLreq.getElementsByTagName("ip")[0].childNodes[0];
                                //alert(com.dynamitedata.ddfGlobals.dumper(myIpAddressNodes));
                                com.dynamitedata.ddfGlobals.globals.myIpAddress = myIpAddressNodes.nodeValue;
    
                            } catch(ex) {
    
                                com.dynamitedata.ddfGlobals.dprint("ip lookup failed, " + ex);
    
                            }
    
                            parseMerchantListXML(merchantXMLreq);
    
                        }
    
                    }
                }
            }
    
        } catch(ex) {
    
            com.dynamitedata.ddfGlobals.dprint("merchantlist lookup crashed, error " + ex.toString());
            failed = true;
        }
    
    }
    function parseMerchantListXML(merchantXMLreq, cached) {
        
        merchantListXML = com.dynamitedata.ddfUtil.evaluateXPathToArray('//name[@home]', merchantXMLreq);
        merchantListXMLrids = com.dynamitedata.ddfUtil.evaluateXPathToArray('//name[@id]', merchantXMLreq);
        com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: merchantList retreived, contains " + merchantListXML.length + " items, ex:" + merchantListXML[0].getAttribute("home"));
        
    
         //copy urls from xml to text arrays
        for (i = 0; i < merchantListXML.length; i++) {
            
            var tmp = com.dynamitedata.ddfUtil.returnDomainTLD(merchantListXML[i].getAttribute("home"))
            var tmprid = merchantListXML[i].getAttribute("id");
            if (tmp != null) {
                merchantList[i] = tmp;
                merchantListRids[i] = tmprid;
                com.dynamitedata.ddfGlobals.dprint("added merchant: " + merchantList[i] + " - " + merchantListRids[i], 3);
            } else {
                com.dynamitedata.ddfGlobals.dprint("getDDMerchantListText: error parsing merchant list: index " + i + ", value = " + tmp);
            }
        
        }
    
    }
    
    // fetches info on a given product
    function getDDProductInfo(url, originBrowser) {
    
        if ((url == null) | (url == "")) {
            return;
        }
    
        var encodedURI = encodeURIComponent(url);
        com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): encoded URI is:", 2);
        com.dynamitedata.ddfGlobals.dprint("^^^^ " + encodedURI, 2);
    
        //check to see if we've overridden the country we want results from
        var overrideCountryStr = "";
        var overrideCountry = com.dynamitedata.ddfGlobals.ddGetStringPref("overrideCountry");
        if (com.dynamitedata.ddfGlobals.LIST_COUNTRIES_OVERRIDES[overrideCountry] != "Automatic") {
            overrideCountryStr = com.dynamitedata.ddfGlobals.PRODUCT_INFO_LISTPOSTFIX + overrideCountry;
        }
    
        var reqToSend = com.dynamitedata.ddfGlobals.ddGetStringPref("productInfoURL") + encodedURI + overrideCountryStr; // form request
        // product info
        var prdName;
        var prdCount;
    
        //temp
        var retry = false;
        
        try {
            
            //do {
        
                var reqXMLa = com.dynamitedata.ddfGlobals.wgetXML(reqToSend, true); // execute request
                
				var timeoutId = window.setTimeout(
					function() {
						if ( reqXMLa.readyState <= 3 && reqXMLa.readyState >= 1 ) {
							reqXMLa.abort();
							com.dynamitedata.ddfGlobals.stateManager.deleteState(reqXMLa.DDstate);
							com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, com.dynamitedata.ddfGlobals.globals.textErrorTimeout, url, 99999);
							return;
						}
				},
				20000 // 20 sec timeout
				);
                
                
                // this stuff handles the async stuff
                reqXMLa.onreadystatechange = function(aEvt) {
                    
                    if (reqXMLa.readyState == 4) com.dynamitedata.ddfGlobals.stateManager.deleteState(reqXMLa.DDstate);
                    
                    if ((reqXMLa.readyState == 4) && (reqXMLa.status == 200)) {
                        
                        // hackish -- probably want to come up with a better way to do this
                        var reqXML = reqXMLa.responseXML;
                        
                        //validity check
                        if (!com.dynamitedata.ddfGlobals.isNumeric(reqXML)) {
                    
                            var tmp = com.dynamitedata.ddfUtil.evaluateXPathToArray("/root[@count]", reqXML);
                    
                            // check to see if results > 1
                            if (tmp[0]) {
                                prdCount = tmp[0].getAttribute("count");
                            } else {
                                prdCount = -1;
                            }
                            
							var messagexml = reqXML.getElementsByTagName("message");
							var message;

							if (messagexml[0]) {
								message = messagexml[0].textContent;
							} else {
								message = '';
							}

                    
                            // if they are it means we've hit a product page
                            if (prdCount > 0) {
                                
                                // fire this again after 1 minute to see if dynamite data updated its results
                                if (!originBrowser.ddfirefoxRefreshTimer & com.dynamitedata.ddfGlobals.PRODUCT_INFO_REFRESH_TIMEOUT != -1) {
                                    originBrowser.ddfirefoxRefreshTimer = window.setTimeout(getDDProductInfo, com.dynamitedata.ddfGlobals.PRODUCT_INFO_REFRESH_TIMEOUT, url, originBrowser);
                                    com.dynamitedata.ddfGlobals.dprint("onPageLoadMerchantLookup(): Set refresh at ID " + originBrowser.ddfirefoxRefreshTimer);
                                }
                    
                                tmp = com.dynamitedata.ddfUtil.evaluateXPathToArray("/root/product[1][@name]", reqXML);
                                prdName = tmp[0].getAttribute("name");
                                prdCount = tmp[0].getAttribute("count");
                                com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): Found " + prdCount + " listings for:");
                                com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): ^^^^ " + prdName);
                    
                                com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): tmpDealNodes is a " + tmp, 2);
                                tempURL = getDealsFromDealNodes(reqXML, null, url);
                                
                                tempURL.message = message;
                    
                                ////// format all the deal info for display
                                tempURL.deals.sort(function(a, b) {
                                    return a.pos - b.pos
                                });
                                
                                // Trim out data beyond what we want to display to the user
                                // this should be implemented serverside too (hai2u, hackers!)
                                tempURL.deals.splice(com.dynamitedata.ddfGlobals.globals.maxDealsToDisplay, tempURL.deals.length);
                                
                                // set the country override var if results are overridden
                                tmp = com.dynamitedata.ddfUtil.evaluateXPathToArray("/root", reqXML);
                                com.dynamitedata.ddfGlobals.dprint("territory display check: " + tmp[0].getAttribute("list").toLowerCase() + " vs " + overrideCountry.toLowerCase());
                                try {
                                    tempURL.territory = tmp[0].getAttribute("list").toLowerCase();    
                                } catch(ex) {
                                    tempURL.territory = "ERROR";
                                }
                                
                    
                                /* the following if block places an important restriction on how
                                 ddfirefox acts: a deal is only shown if a tab matches the URL tied
                                 to the deal we received. This may need to be reevaluated in
                                 the future so that the system can be adapted to different kinds of
                                 pages (ajax, framesets, etc)
                                 
                                 if we can find a way to get the parent browser object of the page
                                 that fired DOMContentLoaded, we can pull the ddfirefoxID var from
                                 it. however, the event data seems to include a copy of the tab's
                                 HTMLDocument, and is not a pointer to the original.
                               */
                                if (originBrowser.ddfirefoxID) {
                                    
                                    // quick fix to prevent "Deal! undefined {NaN}" bug and null bug
                                    if (tempURL.deals.length > 0) {
                    
                                        com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): About to add state for: " + originBrowser.ddfirefoxID);
                                        com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 3, "deal", url, undefined, tempURL);

                                    
                                    } else {
                                        
                                        if (message) {
                                        	com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, message, url, 99999);
                                        } else {
                                        	com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, com.dynamitedata.ddfGlobals.globals.textErrorXMLFail, url, 99999); //"error: XML parse failed"
                                        }
                                    }
                    
                                }
                    
                            } else {
                                
                                var warnings = reqXML.getElementsByTagName("warning");
                                
                                // text to display
                                if (warnings[0] && (warnings[0].textContent.match("Rate limit exceeded"))) {
                                    
                                    com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): Rate limit exceeded...");
                                    if (message) {
                                    	com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, message, url);
                                    } else {
                                    	com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, com.dynamitedata.ddfGlobals.globals.textErrorXMLFail, url, 99999); //"error: rate limit exceeded"
                                    }
                                    
                                } else {
                                    
                                    com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): I got nothin' ...");
                                       
                                    var isABuyPage
                                    var stateMessage;    
                                        
                                    //if ((typeof(tmp[0].getAttribute("buypage")) != 'undefined') || (tmp[0].getAttribute("buypage") == "1")) {
                                    //    stateMessage = com.dynamitedata.ddfGlobals.globals.textMessageOnMerchantIsOnBuyPage;
                                    //} else {
                                    //    stateMessage = com.dynamitedata.ddfGlobals.globals.textMessageOnMerchantNotBuyPage;
                                    //}
                                    
                                    if (message) {
                                    	com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, message, url, 99999);
                                    } else {
                                    	com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, com.dynamitedata.ddfGlobals.globals.textErrorXMLFail, url, 99999);
                                    }
                                        
                                }
                            }
                    
                        } else {
                            com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): Error retreiving product info: server responded with " + reqXML);
                            com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, com.dynamitedata.ddfGlobals.globals.textErrorXMLFail, url, 99999);
                                            
                        }
                        
                        updateStatusbar();
                        //com.dynamitedata.ddfGlobals.stateManager.deleteState("icon|" + originBrowser.ddfirefoxID);                
                        
                    } else if (reqXMLa.readyState == 4) {
                    	com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, com.dynamitedata.ddfGlobals.globals.textErrorLookupFail, url, 99999);
                    	//com.dynamitedata.ddfGlobals.stateManager.deleteState("icon|" + originBrowser.ddfirefoxID);
                    	updateStatusbar();
                    }
                    
                }
                            
            //} while (retry == true);
        
        } catch(e) {
            com.dynamitedata.ddfGlobals.dprint("getDDProductInfo(): Error retreiving product info");
            com.dynamitedata.ddfGlobals.dprint("^^^^ " + reqToSend);
            com.dynamitedata.ddfGlobals.stateManager.addEditState(originBrowser.ddfirefoxID, 7, com.dynamitedata.ddfGlobals.globals.textErrorLookupFail, url, 99999);
            updateStatusbar();
            if (com.dynamitedata.ddfGlobals.getDebugLevel() > 0) throw (e);
            //com.dynamitedata.ddfGlobals.stateManager.deleteState("icon|" + originBrowser.ddfirefoxID);
            return;
        }
        
    }
    
    // from: https://developer.mozilla.org/en/Code_snippets/On_page_load
    function updateMessageDisplay() {
        var ver = -1,
        firstrun = true;
		
		var current = com.dynamitedata.ddfGlobals.globals.version;
        
        //set the status bar tooltip message
        //statusbarTooltipBase = "Dynamite Deals for Firefox, version " + current + ". http://www.dynamitedata.com";
        if (current) {
        	statusbarTooltipBase = "Dynamite Deals for Mozilla Firefox version " + current;
        } else {
        	statusbarTooltipBase = "Dynamite Deals for Mozilla Firefox";
        }
        
        try {
            ver = com.dynamitedata.ddfGlobals.ddGetStringPref("install.version");
            firstrun = com.dynamitedata.ddfGlobals.ddGetBoolPref("install.firstrun");
        } catch(e) {
            //nothing
        } finally {
            // if this is either the first run of this plugin,
            // or the version has changed (i.e. patched) then display the update
            // message
            if ((firstrun) | (ver != current) ) {
    
                if (!com.dynamitedata.ddfGlobals.globals.updateMessageDisplayAlreadyRunning) {        
                    
                    com.dynamitedata.ddfGlobals.globals.updateMessageDisplayAlreadyRunning = true;
        
                    function forceEULA() {
                        
                        // note this is disabled, we're having eula display at AMO now
                        
                        // use this to make sure stuff only runs the first time in the case of
                        // multiple browsers opened on startup
/*                      var winWatcher = Components.classes["@mozilla.org/embedcomp/window-watcher;1"].getService(Components.interfaces.nsIWindowWatcher);
                        winWatcher.openWindow(null, "chrome://ddfirefox/content/eula.xul", "frmEula", "chrome=yes,dialog,modal,centerscreen,resizable,alwaysRaised=yes,close=no", null);   */ 
                
                        com.dynamitedata.ddfGlobals.ddSetBoolPref("install.firstrun", false);
                        com.dynamitedata.ddfGlobals.ddSetStringPref("install.version", current);
                        
                        // added since EULA is now accepted before login... remove this if you want to restore EULA popup
                        com.dynamitedata.ddfGlobals.ddSetIntPref("acceptedEULAversion", com.dynamitedata.ddfGlobals.EULA_VERSION_LATEST);
                        
                        // display welcome popup -- workaround
                        if (firstrun) {
                        	window.setTimeout(function() {com.dynamitedata.ddfWelcome.messageActions.windowShowWelcome();}, 500);
                        }
                        
                    }
                    
                    // bind with window
                    window.setTimeout(forceEULA, 500);
                    
                    // global
                    //forceEULA();
                    
                    // display welcome message
                    if (firstrun) {
                    	gBrowser.selectedTab = gBrowser.addTab(com.dynamitedata.ddfGlobals.urlTable["welcome"]);
                    	gBrowser.selectedTab.focus();
                    }
                    
                    // show statusbar "installed" message
                    //com.dynamitedata.ddfGlobals.stateManager.addEditState("welcome", -2, "Dynamite Data installed!", com.dynamitedata.ddfGlobals.urlTable["welcome"], 5.5);    
            
    
                } else {
                    //com.dynamitedata.ddfGlobals.stateManager.addEditState("acceptEULA", -1, com.dynamitedata.ddfGlobals.globals.textErrorAcceptEULA, null, 999999999);
            
                }
            }
    
    
        }
    }
    
    ////////////////////////////////////////////////////////////////////////////////
    // stuff for changing the status bar
    ////////////////////////////////////////////////////////////////////////////////
    // status bar pseudo-object
    var sb = {
    
        /////////////////////
        // internal functions
        /////////////////////
        setPicIdle: function() {
            //sbIconHandle = document.getElementById("ddStatusBarIcon"); // TEMPORARY!
            //sbIconHandle.src = "chrome://ddfirefox/skin/iconIdle.png";
            //idle message on statusbar
            document.getElementById("ddStatusBar").setAttribute("class","iconIdle toolbarbutton-1 chromeclass-toolbar-additional");
            sb.setTooltip();
        },
    
        setPicError: function() {
            //sbIconHandle = document.getElementById("ddStatusBarIcon"); // TEMPORARY!
            //sbIconHandle.src = "chrome://ddfirefox/skin/iconError.png";
            document.getElementById("ddStatusBar").setAttribute("class","iconError toolbarbutton-1 chromeclass-toolbar-additional");
        },
    
        setPicDownloading: function() {
            //sbIconHandle = document.getElementById("ddStatusBarIcon"); // TEMPORARY!
            //sbIconHandle.src = "chrome://ddfirefox/skin/iconAnimation.png";
            document.getElementById("ddStatusBar").setAttribute("class","iconAnimation toolbarbutton-1 chromeclass-toolbar-additional");
        },
    
        setPicDeal: function() {
            //sbIconHandle = document.getElementById("ddStatusBarIcon"); // TEMPORARY!
            //sbIconHandle.src = "chrome://ddfirefox/skin/iconDealFound.png";
            document.getElementById("ddStatusBar").setAttribute("class","iconDealFound toolbarbutton-1 chromeclass-toolbar-additional");
            sb.setTooltip();
        },
        
        setPicKnown: function() {
            //sbIconHandle = document.getElementById("ddStatusBarIcon"); // TEMPORARY!
            //sbIconHandle.src = "chrome://ddfirefox/skin/iconKnown.png";
            document.getElementById("ddStatusBar").setAttribute("class","iconKnown toolbarbutton-1 chromeclass-toolbar-additional");
        },
    
        setPicBackground: function() {
            //sbIconHandle = document.getElementById("ddStatusBarIcon"); // TEMPORARY!
            //sbIconHandle.src = "chrome://ddfirefox/skin/iconBackground.png";
        },
    
        setTextMessage: function(msg) {
            //sbTextHandle = document.getElementById("ddStatusBarText"); // TEMPORARY!
            //sbTextHandle.hidden = false;
            //sbTextHandle.value = msg;
        },
    
        setTextIdle: function() {
            //sbTextHandle = document.getElementById("ddStatusBarText"); // TEMPORARYY!!
            //sbTextHandle.hidden = true;
            //sb.setTextMessage("Dynamite Data");
        },
        
        setTooltip: function(message) {
            if (message) {
                document.getElementById("ddStatusBar").setAttribute("tooltiptext", message + "\n\n" + statusbarTooltipBase);
            } else {
            	document.getElementById("ddStatusBar").setAttribute("tooltiptext", statusbarTooltipBase);
            }
        },
    
        /////////////////////
        // legacy functions -- try not to use these outside of state manager
        /////////////////////
        setDeal: function(statusData) {
    
            // reference---
            //sb.setDeal(com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.deals[0].retailer,
            //       com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.deals[0].finalprice,
            //       com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.currencyUnit,
            //       com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.originHasBestPrice);
            if (statusData.deals[0]) {
                var merchantname = statusData.deals[0].retailer;
                var price = statusData.deals[0].finalprice;
            }
    
            var curCode = statusData.currencyUnit;
            
            /// if you want best deal/exclusive messages disabled
            var exclusive = false;
            var thisIsTheBestDeal = false;
            
            /// if you want best deal/exclusive messages enabled
            //var thisIsTheBestDeal = statusData.originHasBestPrice;
            //var exclusive = statusData.exclusive;
    
            ////try {
            ////sb.setPicDeal();
            ////sb.setTextMessage("Dynamite ! " + merchantname + ": $" + price);
            if (exclusive) {
                
                sb.setTextMessage("This is the only merchant that carries this item.");
                
            } else if (thisIsTheBestDeal) {
                
                sb.setTextMessage("This is the best price, click here for more deals.");
                
            } else {
                
                sb.setTextMessage("Dynamite Deal! " + merchantname + ": " + com.dynamitedata.ddfGlobals.getFormattedCurrency(price, curCode));
                com.dynamitedata.ddfGlobals.dprint("SetDeal: " + merchantname + ": " + com.dynamitedata.ddfGlobals.getFormattedCurrency(price, curCode) + "(" + curCode + ") Best? " + thisIsTheBestDeal, 4)
    
            }
    
            ////} catch(ex) {
            ////  com.dynamitedata.ddfGlobals.dprint(ex);
            ////
        },
    
        setIdle: function() {
            try {
                sb.setPicIdle();
                //sb.setTextMessage = "";
                //sb.setTextMessage("");
            } catch(ex) {
                com.dynamitedata.ddfGlobals.dprint(ex);
            }
        },
        
        /// end legacy functions
        setBackground: function() {
            sb.setPicBackground();
        },
    
        setDownloading: function() {
            sb.setPicDownloading();
        },
    
        //this.getCurrentState = function() {
        //    return sbCurrentState;
        //}
        getStatusBarHandle: function() {
            return sbHandle();
        },
    
        getParentWindow: function() {
            return parentWindow();
        }
        //this.sbHandle = statusbarHandle;
    };
    
    ////////////////////////////////////////////////////////////////////////////////
    // stuff for managing a deal set
    //    that is, a set of merchant prices tied to a particular URL
    ////////////////////////////////////////////////////////////////////////////////
    // dealset struct (object), 
    // - store a stack of these in an array, 
    // - contains a list of all results for a given URL;
    // reqXML = xml document with request info
    // ownerID = the tab/browser/window that owns the requested URL
    function getDealsFromDealNodes(reqXML, ownerID, curURL) {
    
        var tmpURL = new com.dynamitedata.ddfGlobals.ProductURL();
    
        // get global info
        var tempRoot = com.dynamitedata.ddfUtil.evaluateXPathToArray("/root", reqXML);
        tmpURL.currencyUnit = tempRoot[0].getAttribute("cur");
        tmpURL.isABuyPage = tempRoot[0].getAttribute("buypage");
    
        var tempProd = com.dynamitedata.ddfUtil.evaluateXPathToArray("/root/product[1]", reqXML);
        tmpURL.name = tempProd[0].getAttribute("name");
        tmpURL.id = tempProd[0].getAttribute("id");
    
        var tmpTracking = reqXML.getElementsByTagName("tracking");
        if (tmpTracking[0]) tmpURL.trackingURL = tmpTracking[0].textContent;
    
        tmpDeal = new com.dynamitedata.ddfGlobals.Deal();
    
        // lets look at the links
        tmpLinks = com.dynamitedata.ddfUtil.evaluateXPathToArray("/root/product[1]/link", reqXML);
    
        com.dynamitedata.ddfGlobals.dprint("tmpLinks length is " + tmpLinks.length + " and tmpLinks[0] is contains " + tmpLinks[0] + " and tmpDeal length is " + tmpDeal.length);
    
        //    rrRoot = reqXML.getElementsByTagName("root");
        //    rrProduct = rrRoot[0].getElementsByTagName("product");
        //    rrLink = rrProduct[0].getElementsByTagName("link");
        //    debugtmp = tmp = evaluateXPath("/root/product/link", reqXML);
        //    com.dynamitedata.ddfGlobals.dprint(com.dynamitedata.ddfGlobals.dumper(debugtmp, 5));
        com.dynamitedata.ddfGlobals.dprint("--------------------------------------------------");
        com.dynamitedata.ddfGlobals.dprint("  Layout: RETAILER,PRICE,SHIPPING,REBATE,STATUS,ID");
    
        //get the clear.gif for tracking
        // used for origin comparisons
        var originDealIs = -1;
        var bestDealPrice = 99999999999999;
        var bestDeali = -1;
        var tmpLinksOrigLength = tmpLinks.length;
        var nullcount;
    
        for (i in tmpLinks) {
            
            nullcheckOK = true;
            
            try {
                tmp = tmpLinks[i].getElementsByTagName("price");
                tmpDeal.price = tmp[0].textContent;
            } catch(e) {
                tmpDeal.price = null;
                nullcheckOK = false;
                
            }
    
            try {
                tmp = tmpLinks[i].getElementsByTagName("shipping");
                tmpDeal.shipping = tmp[0].textContent;
    
            } catch(e) {
                tmpDeal.shipping = null;
            }
            
            try {
            	tmpDeal.estimate = false;
                if (tmp[0].getAttribute("estimate") == "yes" ) {
                	tmpDeal.estimate = true;
                }
            } catch(e) {
                tmpDeal.estimate = false;
            }            
    
            try {
                tmp = tmpLinks[i].getElementsByTagName("rebate");
                tmpDeal.rebate = tmp[0].textContent;
            } catch(e) {
                tmpDeal.rebate = null;
            }
    
            try {
                tmp = tmpLinks[i].getElementsByTagName("status");
                tmpDeal.status = tmp[0].textContent;
            } catch(e) {
                tmpDeal.status = null;
    
            }
    
            try {
                tmpDeal.url = tmpLinks[i].getAttribute("name");
                tmpDeal.id = tmpLinks[i].getAttribute("id");
            } catch(e) {
                tmpDeal.url = null;
                tmpDeal.id = null;
            }
            
            try {
                tmpDeal.pos = tmpLinks[i].getAttribute("pos");
            } catch(e) {
                tmpDeal.pos = 0;
            }
    
            try {
                tmp = tmpLinks[i].getElementsByTagName("reseller");
                tmpDeal.retailer = tmp[0].getAttribute("name");
                tmpDeal.retailerID = tmp[0].getAttribute("id")
            } catch(e) {
                tmpDeal.retailer = null;
                tmpDeal.retailerID = null;
                nullcheckOK = false;
            }
    
            try {
                tmpDeal.country = tmp[0].getAttribute("country");
                tmpDeal.zip = tmp[0].getAttribute("ship");
            } catch(e) {
                tmpDeal.zip = null;
                tmpDeal.country = null;
            }
    
            if (tmpDeal.rebate != null) {
                tmpDeal.finalprice = tmpDeal.price - tmpDeal.rebate;
            } else {
                tmpDeal.finalprice = tmpDeal.price;
            }
    
            tmpDeal.finalprice = Math.round(tmpDeal.finalprice * 100) / 100;
    
            // determine if the site this deal was triggered for also has the best deal
            // changed < to <= to see if we can hide 'bestdeal' when multi. merchants of
            //     same best price
            if (tmpDeal.finalprice <= bestDealPrice) {
                
                bestDealPrice = tmpDeal.finalprice;
                bestDeali = i;
                
            }
    
            // strip out deals for the same domain
            var tempRid = merchantListRids[merchantList.indexOf(com.dynamitedata.ddfUtil.returnDomainTLD(curURL))];
            com.dynamitedata.ddfGlobals.dprint("Comparing " + tempRid + " to " + tmpDeal.retailerID, 2);
    
            // flag this deal if its from the original search URL's domain
            if (tempRid == tmpDeal.retailerID) {
                
                originDealIs = i;
                com.dynamitedata.ddfGlobals.dprint("originDealIs flagged from i = " + i);
                
            }
            
            //if (((originDealIs != i) || (tmpLinks.length < 2)) && (nullcheckOK)) {
                
                com.dynamitedata.ddfGlobals.dprint("   Deal : " + tmpDeal.retailer + "," + tmpDeal.price + "," + tmpDeal.shipping + "," + tmpDeal.rebate + "," + tmpDeal.status + "," + tmpDeal.id);
            
                //we need to force the array to pass by value, not by reference
                tmpDealClone = new com.dynamitedata.ddfGlobals.CloneObject(tmpDeal);
                tmpURL.deals.push(tmpDealClone);
                
            //} else {
                
            //    com.dynamitedata.ddfGlobals.dprint("   Deal : " + tmpDeal.retailer + " SKIPPED");
                /* the following was added to prevent the 'exclusive' tag from appearing
                  on two-merchant deals when the origin is the best price and it is
                  eliminated */
                //originDealIs = -1;
                
            //}
            
            
            
        }
        
        // check exclusivity -- mark as such if deal is found to be exclusive
        com.dynamitedata.ddfGlobals.dprint("tmpUrl.deals.length = " + tmpURL.deals.length);
        if ((tmpLinksOrigLength == 1) && (originDealIs == 0)) {
            
            // set exclusive flag
            tmpURL.exclusive = true;
            com.dynamitedata.ddfGlobals.dprint("tmpURL.exclusive = " + tmpURL.exclusive);
            
        }
    
        // check if origin deal is the best price
        com.dynamitedata.ddfGlobals.dprint("originDealIs: " + originDealIs + " bestDeali:" + bestDeali);
        if (originDealIs == bestDeali) {
            
            com.dynamitedata.ddfGlobals.dprint("originHasBestPrice set to true");
    
            // set bestprice flag
            tmpURL.originHasBestPrice = true;
    
        } else {
            tmpURL.originHasBestPrice = false;
            tmpURL.exclusive = false;
        }
        
        ///* delete origin deal if it following rules are not satisfied
        //  deals.length > 3
        //  originDealIs == bestDeali
        //*/
        //  
        // if ((tmpURL.deals[originDealIs].finalprice != bestDealPrice) && (tmpLinks.length > 3)) {
        //    tmpURL.deals.splice(originDealIs, 1);
        //    com.dynamitedata.ddfGlobals.dprint(" Origin deal DELETED due to len > 3 or originDealIs");
        // }
        //
    
        return tmpURL;
    
    }
    
    ////////////////////////////////////////////////////////////////////////////////
    // stuff for manipulating the details window and filling it with data
    ////////////////////////////////////////////////////////////////////////////////
    
    function openDetailsWindowNew(productURLcur) {
        var i;
    
        com.dynamitedata.ddfGlobals.dprint("openDetailsWindowNew called, productURLcur length = " + productURLcur.deals.length);
        if (productURLcur.deals.length > 0) {
            // get the handles we want and need
            var ddFrmDetailsHandle = document.getElementById("ddFrmDetailsNewPanel");
            var sbHandle = document.getElementById("ddStatusBar");
    
            // subfunction for event listener, see below
            function populateDetails(pCur) {
                com.dynamitedata.ddfGlobals.dprint("populateDetails() was fired... ddFrmDetailsHandle is a " + ddFrmDetailsHandle);
                com.dynamitedata.ddfDetails.externPopulateDealsList(pCur);
            }
    
            function unloadDetailsWindow() {
                com.dynamitedata.ddfGlobals.dprint("unloadDetailsWindow() fired.");
                ddFrmDetailsHandle.removeEventListener("popuphidden", unloadDetailsWindow, false);
                ddFrmDetailsHandle = undefined;
            }
    
            // open the details window TODO: get position to show correctly, like in mockups
            ddFrmDetailsHandle.openPopup(sbHandle, "after_end", 0, 0, false, false);
            //ddFrmDetailsHandle.addEventListener("popupshowing", populateDetails, false);
            populateDetails(productURLcur);
            ddFrmDetailsHandle.addEventListener("popuphidden", unloadDetailsWindow, false);
    
        } 
    
    }
    
    function getStatesPresent() {
        
        var statesPresent = new Array();
        var date = new Date();
        //
        ///// NOTE:
        ///// com.dynamitedata.ddfGlobals.stateTable.length DOES NOT WORK FOR HASHTABLES!
        //if (com.dynamitedata.ddfGlobals.stateTable.length === 0) { // nothin goin on
        //    sb.setIdle();
        //    com.dynamitedata.ddfGlobals.dprint("updateStatusbar(): state table appears empty.", 3)
        //} else {
        //com.dynamitedata.ddfGlobals.dprint("pdateStatusbar(): state table size is " + com.dynamitedata.ddfGlobals.stateTable.length);
        errorbuf = "";
        for (var i in com.dynamitedata.ddfGlobals.stateTable) {
    
            if (com.dynamitedata.ddfGlobals.stateTable[i]) {
                
                /* we do the whole switch/case thing as an extra step to keep the
                  subsequent status changing code simple and to prevent extraneous
                  exceptions from firing off and screwing with things.
                  
                  Is there a better way? Maybe.
                  But it is what it is. */
    
                // get a tally of which states are active
                com.dynamitedata.ddfGlobals.dprint("updateStatusbar() status active: " + com.dynamitedata.ddfGlobals.stateTable[i].statusNbr, 3);
                
                // DO NOT FORGET TO END EACH CASE WITH BREAK!!!
                switch (com.dynamitedata.ddfGlobals.stateTable[i].statusNbr) {
                case 1:
                    { //foreground downloading
                        statesPresent[1] = true;
                        break;
                    }
    
                case 2:
                    { //background action
                        statesPresent[2] = true;
                        break;
                    }
    
                case 3:
                    { //deal found
                        statesPresent[3] = true;
                        break;
                    }
                    
                case 6:
                    {
                        //icon doing something
                        statesPresent[6] = true;
                        break;
                    }
                case 7:
                    {
                        //known deal
                        statesPresent[7] = true;
                        break;
                    }
                case - 1 : {
                        statesPresent[ - 1] = true;
                        //errorbuf += "\n\nError: " + com.dynamitedata.ddfGlobals.stateTable[i].statusText;
                        break;
                    }
                    
                case -2: {
                        statesPresent[-2] = true;
                        break;
                    }
    
                }
    
                // then check to see if this particular state's timeout expired
                curTime = date.getTime();
                if (curTime >= com.dynamitedata.ddfGlobals.stateTable[i].timeout) {
                    com.dynamitedata.ddfGlobals.stateManager.deleteState(i);
                }
    
            }
    
        }
        
        return statesPresent;
        
    }
    
    ////////////////////////////////////////////////////////////////////////////////
    // non-global state management stuff
    ////////////////////////////////////////////////////////////////////////////////
    // Checks state table to figure out what's going on and what needs to be
    //    drawn in the status bar.
    // This function should be called through setInterval(), which should be
    //    initialized when the browser opens... recommended interval: 1 sec
    // This function should also be called every time user changes the tab.
    // This function should be called whenever a deal has just been found
    //    (once the owner tab logic has been coded)
    // -----
    // picture status priorities (hi2low): -1 3 0
    // text status priorities (hi2low): 3 0 -- on conflicts go with whatever
    //    lines up with the current tab
    // ignored for this purpose: 4 -1
    function updateStatusbar() {
    
        // keeps track of which states are currently present
        // for the purposes of prioritization
        com.dynamitedata.ddfGlobals.dprint("updateStatusbar()...", 4);
		if (!document.getElementById("ddStatusBar")) {
			//com.dynamitedata.ddfGlobals.dprint("No Statusbar, don't update");
			return;
		}
        statesPresent = getStatesPresent();
    
        var curTabID;
        try {
            curTabID = tabManager.getIDFromTab(tabManager.getCurrentTab());    
        } catch(e) {
            curTabID = 0;
        }
        if (com.dynamitedata.ddfGlobals.stateTable[curTabID]) com.dynamitedata.ddfGlobals.dprint("This tab's state is: " + com.dynamitedata.ddfGlobals.stateTable[curTabID], 3);
    
        // set status based on whichever state has present has highest
        // priority
        
        // do not check statusNbr or any com.dynamitedata.ddfGlobals.stateTable vars without first validating that the
        // entry you're checking is undefined, unless you want to fill the console with exceptions
        
        var tooltipBuf = "";
        
        // ERROR STATE
        if (statesPresent[ - 1] == true) {
            sb.setPicError();
            sb.setTextIdle();
            //tooltipBuf += errorbuf; //make sure vars errorBuf are always preceded with "\n\n"
            tooltipBuf += "Click for further information.";
        
        // DEAL FOUND STATE
        } else if (((statesPresent[3] == true) && (typeof(com.dynamitedata.ddfGlobals.stateTable[curTabID]) != 'undefined')) && /* you must use && */
                   (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusNbr == 3) &&
                   (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusURL == window.getBrowser().currentURI.spec)) {
            sb.setPicDeal();
            sb.setDeal(com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData);
            tooltipBuf += "Dynamite Deals Supported Merchant. Click for further information.";
        
        //WE'RE DOING SOMETHING STATE
        } else if ((statesPresent[6] == true) &&
                   (typeof(com.dynamitedata.ddfGlobals.stateTable[curTabID]) !== 'undefined') &&
                   (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusNbr == 6) &&
                   (com.dynamitedata.ddfGlobals.stateTable[curTabID].statusURL == window.getBrowser().currentURI.spec)){
            
            tooltipBuf += com.dynamitedata.ddfGlobals.globals.textMessageOnRotatingStick;
            sb.setPicDownloading();
            //sb.setTextMessage("Searching...");
            sb.setTextIdle();
                        
            
        //KNOWN MERCHANT STATE
        } else if ((statesPresent[7] == true) &&
                   typeof(com.dynamitedata.ddfGlobals.stateTable[curTabID]) != 'undefined') {
            sb.setPicKnown();
            sb.setTextIdle();
            //tooltipBuf += "\n\n" + com.dynamitedata.ddfGlobals.stateTable[curTabID].statusText;
            tooltipBuf += "Dynamite Deals Supported Merchant. Click for further information.";
        
        //WELCOME MESSAGE STATE
        } else if (statesPresent[-2] == true) {
            sb.setTextMessage(com.dynamitedata.ddfGlobals.stateTable["welcome"].statusText);
            sb.setPicIdle();
            
        //DEFAULT / NOTHIN GOIN ON
        } else { //nothin goin on
            sb.setPicIdle();
            com.dynamitedata.ddfGlobals.dprint("Setting idle...", 4);
            sb.setTextIdle();
        }
        
        sb.setTooltip(tooltipBuf);
    
        ////// ...and then move on to the text
        ////get foreground tab and set its text to status bar
        //if (statesPresent[ - 1] == true) {
        //    
        //} else if ((statesPresent[3] == true) & (typeof(com.dynamitedata.ddfGlobals.stateTable[curTabID]) !== 'undefined')) {
        //
        //    //show deal information but only if we're on the correct tab --
        //    //   otherwise, skip to next lowest priority
        //    //sb.setDeal(com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.deals[0].retailer,
        //    //       com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.deals[0].finalprice,
        //    //       com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.currencyUnit,
        //    //       com.dynamitedata.ddfGlobals.stateTable[curTabID].statusData.originHasBestPrice);
        //} else {
        //
        //
        //}
    }
    
    ////////////////////////////////////////////////////////////////////////////////
    // stuff for working with tabs
    ////////////////////////////////////////////////////////////////////////////////
    // some code originates from examples posted at
    // https://developer.mozilla.org/en/Code_snippets/Tabbed_browser
    var tabEvents = {
        added: function(event) {
            
            // 'browser' is the browser XUL element of the tab that's been added
            var browser = event.target.linkedBrowser;
    
            tabManager.attachTag(browser);
    
            com.dynamitedata.ddfGlobals.dprint(">>>> New tab detected! ddfirefoxID = " + browser.ddfirefoxID);
            if (com.dynamitedata.ddfGlobals.getDebugLevel() > 1) tabManager.dumpTabsToConsole();
    
            updateStatusbar();
    
        },
    
        moved: function(event) {
            // i dont think we need this
            //var browser = event.target.linkedBrowser;
            // 'browser' is the browser XUL element of the tab that's been moved
        },
    
        deleted: function(event) {
            var browser = event.target.linkedBrowser;
            /// 'browser' is the browser XUL element of the tab that's been removed
            // remove any states relating to this deleted tab from the state manager
            com.dynamitedata.ddfGlobals.stateManager.deleteState(tabManager.getIDFromTab(browser));
            updateStatusbar();
        },
    
        selected: function(event) {
            //var browser = gBrowser.selectedTab.linkedBrowser;
            /// 'browser' is the browser XUL element of the tab that's been selected
            updateStatusbar();
        }
    
    }
    
    var tabManager = {
        // returns a browser element from a ddfirefox tab ID
        getTabFromID: function(ID) {
    
            var num = gBrowser.browsers.length;
    
            for (var i = 0; i < num; i++) {
                var b = gBrowser.getBrowserAtIndex(i);
                if (b.ddfirefoxID == ID) {
                    return b;
                }
            }
    
            return - 1;
    
        },
    
        getIDFromTab: function(browser) {
    
            com.dynamitedata.ddfGlobals.dprint("getIDFromTab(): returned " + browser.ddfirefoxID, 3);
            return browser.ddfirefoxID;
    
        },
    
        getCurrentTab: function() {
                return gBrowser.selectedBrowser;
        },
    
        // searches all open tabs for tabs with a certain URL
        // returns an array with tab IDs for all the tabs that have this
        getTabFromURL: function(url, returnArray) {
    
            var num = gBrowser.browsers.length;
            var results = new Array();
            var resultsCtr = 0;
    
            for (var i = 0; i < num; i++) {
    
                var b = gBrowser.getBrowserAtIndex(i);
    
                if (b.currentURI.spec == url) {
    
                    results[resultsCtr] = b;
                    resultsCtr++;
    
                }
    
            }
    
            if (resultsCtr > 0) {
    
                if (returnArray) {
                    return results;
                } else {
                    return results[0];
                }
    
            } else {
    
                return false;
    
            }
    
        },
    
        getIDFromURL: function(url, returnArray) {
    
            var tabresults = tabManager.getTabFromURL(url, true);
    
            if (!tabresults) return false;
    
            var toreturn = new Array();
    
            if (returnArray) {
    
                for (var i in tabresults) {
    
                    toreturn[i] = tabresults[i].ddfirefoxID;
    
                }
    
                return toreturn;
    
            } else {
    
                return tabresults[0].ddfirefoxID;
    
            }
    
        },
    
        dumpTabsToConsole: function() {
    
            var num = gBrowser.browsers.length;
    
            com.dynamitedata.ddfGlobals.dprint("++++++++ Dumping tab list... +++++++");
    
            for (var i = 0; i < num; i++) {
                var b = gBrowser.getBrowserAtIndex(i);
                try {
                    com.dynamitedata.ddfGlobals.dprint(b.ddfirefoxID + " : " + com.dynamitedata.ddfGlobals.hex_md5(b.currentURI.spec));
                } catch(e) {
                    com.dynamitedata.ddfGlobals.dprint(b.ddfirefoxID + " : " + "{no value}");
                }
            }
    
            com.dynamitedata.ddfGlobals.dprint("++++++++++++ END LIST ++++++++++++++");
    
        },
    
        attachTag: function(browser) {
            // we're going to tag each tab opened with a unique identifier
            // this will allow the state manager to identify tabs easily
            // and circumvent javascript's automatic type conversions
            // for now we'll just use com.dynamitedata.ddfGlobals.stateManager's ID generator
            var taggedID = "tab|" + com.dynamitedata.ddfGlobals.stateManager.generateRandomID();
            if (!browser.ddfirefoxID) browser.ddfirefoxID = taggedID;
            com.dynamitedata.ddfGlobals.dprint("Tagged " + browser + " with ID " + taggedID);
            
        }
    
    }
    
    ////////////////////////////////////////////////////////////////////////////////
    //your basic event listeners and other startup goodies
    ////////////////////////////////////////////////////////////////////////////////
    window.addEventListener("load", ddEvents.onStartup, false);
    //window.addEventListener("unload", ddEvents.onShutdown, false);
    
    /* other event listeners declarations go inside ddEvents.onStartup(); */

};

com.dynamitedata.ddfOverlay();